
class RolePermissionServer {
  async getRoles(callback) {
    let res =  await window.framework.http.get('/SysRolePermission/Query', {})
    return res
  }

  async getRole(row) {
    let res =  await window.framework.http.get('/SysRolePermission/QueryByRoleId', row)
    return res
  }

  async add(row) {
    let res =  await window.framework.http.post('/SysRolePermission/add', row)
    return res
  }

  async edit(row) {
    let res =  await window.framework.http.post('/SysRolePermission/edit', row)
    return res
  }

  async del(row) {
    let res =  await window.framework.http.post('/SysRolePermission/del', row)
    return res
  }
}

const rolePermissionServer = new RolePermissionServer()
export default rolePermissionServer
